Subject: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jun 2013 19:38:50 +0300

> Date: Sat, 1 Jun 2013 17:04:11 +0100
> From: Richard Copley <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>, [email-masked]
> 
> See attached.

Thanks.

> I don't know about Changelogs and stuff. Is there any chance
> I can leave all that up to the real developers please?

That's OK.

> Tested with kit as in INSTALL.MSYS, including Make 3.82.90,
> and gives the expected results in epaths.h:
> 
> msysconfig.sh
> => #define PATH_SITELOADSEARCH
> "%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"
> 
> msysconfig.sh "--prefix=/c/Program Files (x86)/GNU Emacs/emacs-112416"
> => #define PATH_SITELOADSEARCH
> "%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"
> 
> msysconfig.sh --locallisppath=%emacs_dir%/../site-lisp
> => #define PATH_SITELOADSEARCH "%emacs_dir%/../site-lisp"

Does it support Windows style paths and the ';' separator, as in

  --locallisppath='%emacs_dir%/../site-lisp;d:/wherever/site-lisp'

?  MSYS supports both Windows style file names and Windows style in
--prefix, so I'd like to support both styles in --locallisppath.